curl --request DELETE \
--url https://api.uat.frankie.one/v2/organizations/{entityId}/relationships \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"entityRelationships": [
{
"entity": {
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"relationships": [
{
"type": "OFFICIAL",
"role": {
"code": "DR",
"description": "Director"
}
}
]
}
]
}
'import requests
url = "https://api.uat.frankie.one/v2/organizations/{entityId}/relationships"
payload = { "entityRelationships": [
{
"entity": { "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6" },
"relationships": [
{
"type": "OFFICIAL",
"role": {
"code": "DR",
"description": "Director"
}
}
]
}
] }
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
api_key: '<api-key>',
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entityRelationships: [
{
entity: {entityId: '3fa85f64-5717-4562-b3fc-2c963f66afa6'},
relationships: [{type: 'OFFICIAL', role: {code: 'DR', description: 'Director'}}]
}
]
})
};
fetch('https://api.uat.frankie.one/v2/organizations/{entityId}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"entityRelationships": [
{
"entity": {
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"relationships": [
{
"type": "OFFICIAL",
"role": {
"code": "DR",
"description": "Director"
},
"sourceId": "<string>"
}
]
}
]
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Delete relationships for an organization
Delete a list of entity relationships for an organization. Only relationships added via the relationship put operation can be deleted with this operation. Relationships (ie officials) from other sources cannot be deleted with this operation.
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
"fred.flintstone@frankieone.com"
Path Parameters
Unique FrankieOne identifier for an entity
Body
List of entities and their relationships with an organization
List of entities and their relationships that should be deleted for an organization.
Show child attributes
Show child attributes
Response
Organization Relationships
Was this page helpful?